libcups2_2.1.3-4ubuntu0.10_amd64.deb


Advertisement

Description

libcups2 - Common UNIX Printing System(tm) - Core library

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Updates Main amd64
Package filename libcups2_2.1.3-4ubuntu0.10_amd64.deb
Package name libcups2
Package version 2.1.3
Package release 4ubuntu0.10
Package architecture amd64
Package type deb
Category libs
Homepage http://www.cups.org
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 192.16 KB
Installed size 653.00 KB
The Common UNIX Printing System (or CUPS(tm)) is a printing system and
general replacement for lpd and the like.  It supports the Internet
Printing Protocol (IPP), and has its own filtering driver model for
handling various document types.
This package provides the base shared libraries for CUPS.

Alternatives

Package Version Architecture Repository
libcups2_2.1.3-4ubuntu0.10_i386.deb 2.1.3 i386 Ubuntu Updates Main
libcups2_2.1.3-4_i386.deb 2.1.3 i386 Ubuntu Main
libcups2_2.1.3-4_amd64.deb 2.1.3 amd64 Ubuntu Main
libcups2 - - -

Requires

Name Value
libavahi-client3 >= 0.6.16
libavahi-common3 >= 0.6.16
libc6 >= 2.14
libgnutls30 >= 3.4.2
libgssapi-krb5-2 >= 1.10+dfsg~
zlib1g >= 1:1.2.0

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libcups2_2.1.3-4ubuntu0.10_amd64.deb
Source Package cups

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libcups2 deb package:
    # sudo apt-get install libcups2

Files

Path
/usr/lib/x86_64-linux-gnu/libcups.so.2
/usr/share/doc/libcups2/README.Debian.gz
/usr/share/doc/libcups2/changelog.Debian.gz
/usr/share/doc/libcups2/copyright
/usr/share/doc/libcups2/examples/client.conf

Changelog

2019-08-16 - Alex Murray <alex.murray@canonical.com>
cups (2.1.3-4ubuntu0.10) xenial-security; urgency=medium
* SECURITY UPDATE: Stack buffer overflow in SNMP ASN.1 decoder
- debian/patches/CVE-2019-86xx.patch: update cups/snmp.c to check for
buffer overflow when decoding various ASN.1 elements.
- CVE-2019-8675
- CVE-2019-8696
* SECURITY UPDATE: Buffer overflow in IPP
- debian/patches/CVE-2019-86xx.patch: update cups/ipp.c to avoid
buffer overflow due to tag type confusion
* SECURITY UPDATE: Denial of service and memory disclosure in scheduler
- debian/patches/CVE-2019-86xx.patch: update scheduler/client.c to
avoid a denial of service and possible memory disclosure if the
client unexpectedly closes the connection
2019-05-30 - Dariusz Gadomski <dariusz.gadomski@canonical.com>
cups (2.1.3-4ubuntu0.9) xenial; urgency=medium
* d/p/0045-Fix-an-issue-with-PreserveJobHistory-and-time-values.patch
Fix an issue with `PreserveJobHistory` and time values
(Issue #5538, Closes: #921741, LP: #1747765)
2019-04-23 - Victor Tapia <victor.tapia@canonical.com>
cups (2.1.3-4ubuntu0.8) xenial; urgency=medium
* d/p/systemd-service-for-cupsd-after-sssd.patch: Start cupsd after sssd if
installed (LP: #1822062)
2018-12-12 - Dariusz Gadomski <dariusz.gadomski@canonical.com>
cups (2.1.3-4ubuntu0.7) xenial; urgency=medium
* fix-handling-of-MaxJobTime.patch: Fix handling of MaxJobTime 0
(LP: #1804576)
2018-11-16 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
cups (2.1.3-4ubuntu0.6) xenial-security; urgency=medium
* SECURITY UPDATE: predictable session cookies
- debian/patches/CVE-2018-4700.patch: use better seed in cgi-bin/var.c.
- CVE-2018-4700
2018-06-22 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
cups (2.1.3-4ubuntu0.5) xenial-security; urgency=medium
* SECURITY UPDATE: scheduler crash via DBUS notifications
- debian/patches/CVE-2017-18248.patch: validate requesting-user-name in
scheduler/ipp.c.
- CVE-2017-18248
* SECURITY UPDATE: privilege escalation in dnssd backend
- debian/patches/CVE-2018-418x.patch: don't allow PassEnv and SetEnv to
override standard variables in man/cups-files.conf.man.in,
man/cupsd.conf.man.in, scheduler/conf.c.
- CVE-2018-4180
* SECURITY UPDATE: local file read via Include directive
- debian/patches/CVE-2018-418x.patch: remove Include directive handling
in scheduler/conf.c.
- CVE-2018-4181
* SECURITY UPDATE: AppArmor sandbox bypass
- debian/local/apparmor-profile: also confine
/usr/lib/cups/backend/mdns.
- CVE-2018-6553
2018-02-19 - Chris Coulson <chris.coulson@canonical.com>
cups (2.1.3-4ubuntu0.4) xenial-security; urgency=medium
* SECURITY UPDATE: Incorrect whitelist permits DNS rebinding attacks
- debian/patches/CVE-2017-18190.patch: Don't treat "localhost.localdomain"
as an allowed replacement for localhost, since it isn't
- CVE-2017-18190
2017-08-18 - Eric Desrochers <eric.desrochers@canonical.com>
cups (2.1.3-4ubuntu0.3) xenial; urgency=high
* Adding maintainer script debian/cups-daemon.prerm to deal with situations
where "old-version" (installed package) prerm script fails. (LP: #1642966).
2016-12-22 - Dimitri John Ledkov <xnox@ubuntu.com>
cups (2.1.3-4ubuntu0.2) xenial; urgency=medium
* Make cups.path unit be part of the cups.service, since cups.path
should stop if and when cups.service is stopped. LP: #1642966
2016-11-14 - Till Kamppeter <till.kamppeter@gmail.com>
cups (2.1.3-4ubuntu0.1) xenial-proposed; urgency=medium
* Removed auto-shutdown-on-idle-also-with-webinterface-on.patch
as it causes CUPS to auto-shutdown when web interface support is
active (LP: #1598300).

See Also

Package Description
libcupscgi1-dev_2.1.3-4ubuntu0.10_amd64.deb Common UNIX Printing System(tm) - Development files for CGI library
libcupscgi1_2.1.3-4ubuntu0.10_amd64.deb Common UNIX Printing System(tm) - CGI library
libcupsfilters-dev_1.8.3-2ubuntu3.5_amd64.deb OpenPrinting CUPS Filters - Development files for the library
libcupsfilters1_1.8.3-2ubuntu3.5_amd64.deb OpenPrinting CUPS Filters - Shared library
libcupsimage2-dev_2.1.3-4ubuntu0.10_amd64.deb Common UNIX Printing System(tm) - Development files CUPS image library
libcupsimage2_2.1.3-4ubuntu0.10_amd64.deb Common UNIX Printing System(tm) - Raster image library
libcupsmime1-dev_2.1.3-4ubuntu0.10_amd64.deb Common UNIX Printing System(tm) - Development files MIME library
libcupsmime1_2.1.3-4ubuntu0.10_amd64.deb Common UNIX Printing System(tm) - MIME library
libcupsppdc1-dev_2.1.3-4ubuntu0.10_amd64.deb Common UNIX Printing System(tm) - Development files PPD library
libcupsppdc1_2.1.3-4ubuntu0.10_amd64.deb Common UNIX Printing System(tm) - PPD manipulation library
libcurl3-gnutls_7.47.0-1ubuntu2.14_amd64.deb easy-to-use client-side URL transfer library (GnuTLS flavour)
libcurl3-nss_7.47.0-1ubuntu2.14_amd64.deb easy-to-use client-side URL transfer library (NSS flavour)
libcurl3_7.47.0-1ubuntu2.14_amd64.deb easy-to-use client-side URL transfer library (OpenSSL flavour)
libcurl4-doc_7.47.0-1ubuntu2.14_all.deb documentation for libcurl
libcurl4-gnutls-dev_7.47.0-1ubuntu2.14_amd64.deb development files and documentation for libcurl (GnuTLS flavour)
Advertisement
Advertisement